Get Usage Report
curl --request GET \
--url https://api.attention.tech/v2/usageReport \
--header 'Authorization: <api-key>'import requests
url = "https://api.attention.tech/v2/usageReport"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.attention.tech/v2/usageReport', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"user": {
"uuid": "user1-uuid",
"email": "user1@email.com",
"firstName": "FirstName1",
"lastName": "LastName1",
"team": {
"uuid": "team-uuid",
"name": "TeamName"
}
},
"metrics": {
"coachingSessions": 0,
"callsViewed": 0,
"commentsLeft": 0,
"snippetsCreated": 0,
"gInsightsRan": 0,
"conversationInsightsRan": 0
}
},
{
"user": {
"uuid": "user2-uuid",
"email": "user2@email.com",
"firstName": "FirstName2",
"lastName": "LastName2",
"team": {
"uuid": "team-uuid",
"name": "TeamName"
}
},
"metrics": {
"coachingSessions": 0,
"callsViewed": 0,
"commentsLeft": 0,
"snippetsCreated": 0,
"gInsightsRan": 0,
"conversationInsightsRan": 0
}
}
]
}{
"id": "not_found_error",
"status": "404",
"code": "404",
"title": "Not Found Error",
"detail": "The requested resource was not found",
"source": {
"pointer": "/data/attributes/id"
}
}{
"id": "not_found_error",
"status": "404",
"code": "404",
"title": "Not Found Error",
"detail": "The requested resource was not found",
"source": {
"pointer": "/data/attributes/id"
}
}Tool
Get Usage Report
Retrieves detailed usage statistics for specified users or teams within a given time period. This endpoint helps track API consumption, feature usage, and user activity patterns.
GET
/
usageReport
Get Usage Report
Authorizations
Query Parameters
List of user UUIDs to include in the report
List of team UUIDs to include in the report
Start date for the usage report period (inclusive)
End date for the usage report period (inclusive)
Response
Usage report successfully generated with detailed statistics
Show child attributes
Show child attributes
Was this page helpful?
⌘I